[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TReadBufStream.Seek

Set location in the buffer

## Declaration

Source position: bufstream.pp line 60

`public function TReadBufStream.Seek(`
`const Offset: Int64;`
`Origin: TSeekOrigin`
`):Int64; override;`

## Arguments

`Offset` |  | Offset (in bytes) of origin
`Origin` |  | Origin of seek operation

## Function result

New position

## Description

Seek sets the location in the buffer. Currently, only a forward seek is allowed. It is emulated by reading and discarding data. For an explanation of the parameters, see TStream.Seek"

The seek method needs enhancement to enable it to do a full-featured seek. This may be implemented in a future release of Free Pascal.

## Errors

In case an illegal seek operation is attempted, an exception is raised.

## See also

TWriteBufStream.Seek |  | Set stream position.
TReadBufStream.Read |  | Reads data from the stream
TReadBufStream.Write |  | Writes data to the stream

Documentation generated on: Feb 26 2014